Subject: Re: bug#55625: GNOME: totem controls not accessible

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 22 Oct 2024 18:30:11 +0900

Hi,

Roman Riabenko <[email-masked]> writes:

> Hello
>
> У сб, 2022-05-28 у 21:31 +0200, Maxime Devos пише:
>> Roman Riabenko schreef op za 28-05-2022 om 22:15 [+0300]:
>> > (totem:4116): libpeas-WARNING **: 22:05:01.766: Type not found in
>> > introspection: 'PeasActivatable'
>> > 
>> > (totem:4116): libpeas-WARNING **: 22:05:01.766: Method
>> > 'PeasActivatable.deactivate' was not found
>> 
>> ‘Activatable’ might mean buttons and such, maybe GI_TYPELIB_PATH
>> needs
>> to be added to the wrap-program in the package definition of 'totem'
>> like for some other GTK applications.
>
> (I looked at rhythmbox for an example.) When I add GI_TYPELIB_PATH to
> wrap-program, libpeas-WARNING stops appearing. Though I notice no other
> change. I also tried adding GUIX_PYTHONPATH as in rhythmbox, but I
> notice no effect. I attach an example output from terminal.

I've updated Totem to its latest commit, which fixed a problem with the
seek bar getting stuck, as well as added multiple inputs that should
bring it in line in terms of features with GNOME's official Flatpak
distribution of Totem.

Closing, but do reopen if some issues remain!

-- 
Thanks,
Maxim